if(NOT MYX_MATH_IS_EXTERNAL_PROJECT)
  set(MYX_MATH_PREFIX "" CACHE PATH "The path to the prefix of an myx-math installation")
  set(MYX_MATH_INCLUDE_DIR "" CACHE PATH "The path to the headers of an myx-math installation")
  set(MYX_MATH_LIBRARY_DIR "" CACHE PATH "The path to the library of an myx-math installation")

  set(_search_paths "")
  if(MYX_MATH_INCLUDE_DIR AND EXISTS ${MYX_MATH_INCLUDE_DIR})
    list(APPEND _search_paths ${MYX_MATH_INCLUDE_DIR})
  endif()
  if(MYX_MATH_PREFIX AND EXISTS ${MYX_MATH_PREFIX})
    list(APPEND _search_paths "${MYX_MATH_PREFIX}/include")
  endif()
  find_path(
    MYX_MATH_INCLUDE_DIRS
    NAMES myx/math/constants.hpp
    PATHS ${_search_paths})

  set(_search_paths "")
  if(MYX_MATH_LIBRARY_DIR AND EXISTS ${MYX_MATH_LIBRARY_DIR})
    list(APPEND _search_paths ${MYX_MATH_LIBRARY_DIR})
  endif()
  if(MYX_MATH_PREFIX AND EXISTS ${MYX_MATH_PREFIX})
    list(APPEND _search_paths "${MYX_MATH_PREFIX}/lib")
  endif()
  find_library(
    MYX_MATH_LIBRARIES
    NAMES myx-math
    PATHS ${_search_paths})
  unset(_search_paths)

  if(MYX_MATH_INCLUDE_DIRS AND MYX_MATH_LIBRARIES)
    set(MYX_MATH_FOUND TRUE)
  endif()

  if(MYX_MATH_FOUND)
    if(NOT MYX_MATH_FIND_QUIETLY)
      message(STATUS "Found myx-math")
    endif()
    set(HAVE_MYX_MATH 1)
  elseif(MYX_MATH_FOUND)
    if(MYX_MATH_FIND_REQUIRED)
      message(FATAL_ERROR "Could not find myx-math")
    endif()
  endif()
endif()
